darcs

Issue 2287 darcs ob -O will overwrite existing files

Title darcs ob -O will overwrite existing files
Priority bug Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List dixiecko, jaredj, owst
Assigned To dixiecko
Topics ProbablyEasy

Created on 2012-12-24.02:37:07 by owst, last changed 2013-02-16.14:47:40 by noreply.

Messages
msg16481 (view) Author: owst Date: 2012-12-24.02:37:06
1. Summarise the issue (what were doing, what went wrong?)

I recorded a WIP patch, and wanted to ob -O it. Unfortunately, in doing
so, I trashed an WIP.dpatch file that already existed in my cwd.

2. What behaviour were you expecting instead?

Darcs should tell me that there is an existing file with the target
name, and refuse to overwrite it.

3. What darcs version are you using? (Try: darcs --exact-version)

2.9.6 (+ 56 patches)

4. What operating system are you running?

Linux x86_64
msg16639 (view) Author: noreply Date: 2013-02-16.14:47:39
The following patch sent by Radoslav Dorcik <dixiecko@gmail.com> updated issue issue2287 with
status=resolved;resolvedin=2.10.0 HEAD

* Resolve issue2287: obliterate -O doesn't overwrite existing file. 
Ignore-this: 324202a42db62f960d27e43902d00b19
History
Date User Action Args
2012-12-24 02:37:07owstcreate
2013-02-14 22:16:19ganeshsettopic: + ProbablyEasy
nosy: + jaredj
2013-02-15 16:38:21dixieckosetpriority: bug
status: unknown -> needs-testcase
nosy: + dixiecko
assignedto: dixiecko
2013-02-16 10:19:09dixieckolinkpatch1033 issues
2013-02-16 13:14:41dixieckosetstatus: needs-testcase -> has-patch
2013-02-16 14:47:40noreplysetstatus: has-patch -> resolved
messages: + msg16639
resolvedin: 2.10.0 HEAD